Subject: How to turn off exceptions?

From: Karol Roslaniec <[email-masked]>
Date: Thu, 21 Oct 1999 22:51:24 +0200 (MEST)

Hi,

I have just started to learn Prolog, and I have one question (suppose very
trival for you).
I downloaded two versions of Prolog:
1. Amzi! Logic Explorer,
2. SWI-Prolog.

Assume, there is no facts in datebase (it is empty).
In "Amzi!", when I type
?- any_goal(anything).
it answers simply "no", whereas "SWI-Prolog" answers:
[WARNING: Undefined predicate: `any_goal/1']
No

My question is:
is it possible to TURN OFF exceptions handling in SWI-Prolog.

I've read about catch/3, but i do not understand much of it.
At the begining, i would prefer to turn them off globally.
Or maybe should i use 'exception/3'? I have no idea (cause i do not know
Prolog good enough).
BTW, I know what exceptions are and how they work from Object Oriented
Languages as: Delphi, C++, Java; but using exceptions in Prolog is too
difficult for me (at least just now).

Could you help me?

Thanks in advance,

Karol Ros/laniec